
From: "Randy.Dunlap" <rddunlap@osdl.org> Domen Puncer <domen@coderock.org>




 25-akpm/drivers/block/ll_rw_blk.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diff -puN drivers/block/ll_rw_blk.c~ll_rw_blk-comment-corrections drivers/block/ll_rw_blk.c
--- 25/drivers/block/ll_rw_blk.c~ll_rw_blk-comment-corrections	Thu Sep  4 11:26:14 2003
+++ 25-akpm/drivers/block/ll_rw_blk.c	Thu Sep  4 11:26:15 2003
@@ -587,7 +587,7 @@ int blk_queue_resize_tags(request_queue_
 /**
  * blk_queue_end_tag - end tag operations for a request
  * @q:  the request queue for the device
- * @tag:  the tag that has completed
+ * @rq: the request that has completed
  *
  *  Description:
  *    Typically called when end_that_request_first() returns 0, meaning
@@ -1288,9 +1288,9 @@ request_queue_t *blk_alloc_queue(int gfp
 
 /**
  * blk_init_queue  - prepare a request queue for use with a block device
- * @q:    The &request_queue_t to be initialised
  * @rfn:  The function to be called to process requests that have been
  *        placed on the queue.
+ * @lock: Request queue spin lock
  *
  * Description:
  *    If a block device wishes to use the standard request handling procedures,
@@ -1310,6 +1310,9 @@ request_queue_t *blk_alloc_queue(int gfp
  *    The queue spin lock must be held while manipulating the requests on the
  *    request queue.
  *
+ *    Function returns a pointer to the initialized request queue, or NULL if
+ *    it didn't succeed.
+ *
  * Note:
  *    blk_init_queue() must be paired with a blk_cleanup_queue() call
  *    when the block device is deactivated (such as at module unload).

_
